//
//  QGChainManager.h
//  Immutation
//
//  Created by Matthew McCowan on 7/11/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGFilterBrowser.h"
#import "QGChainController.h"
#import "QGChain.h"


@interface QGChainManager : QGObject
{
	// Instance
	QGChain *t;
	
	// Outlets
	IBOutlet NSButton   *chainSelectButton;

	IBOutlet NSWindow   *chainBrowserWindow;
	IBOutlet NSButton   *chainBrowserChooseButton;
	
	IBOutlet QGChainController *chainController;
	
}

// Initialization
- (void) awakeFromNib;


// Properties
- (BOOL) hasOutputs;
- (QGChainController *) currentChainController;

// Setters and Getters


// Actions
- (IBAction) selectChain:(id)sender; 

@end
